Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicTreeUI.TreeModelHandler

    java.lang.Object
      |
      +--javax.swing.plaf.basic.BasicTreeUI.TreeModelHandler

public class BasicTreeUI.TreeModelHandler
extends java.lang.Object
implements TreeModelListener

Forwards all TreeModel events to the TreeState.

Constructor Summary
`BasicTreeUI.TreeModelHandler()`

Method Summary
`void` | `treeNodesChanged(TreeModelEvent e)`
`void` | `treeNodesInserted(TreeModelEvent e)`
`void` | `treeNodesRemoved(TreeModelEvent e)`
`void` | `treeStructureChanged(TreeModelEvent e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicTreeUI.TreeModelHandler

    public BasicTreeUI.TreeModelHandler()

Method Detail

### treeNodesChanged

    public void treeNodesChanged(TreeModelEvent e)

  Specified by:
    treeNodesChanged in interface TreeModelListener

### treeNodesInserted

    public void treeNodesInserted(TreeModelEvent e)

  Specified by:
    treeNodesInserted in interface TreeModelListener

### treeNodesRemoved

    public void treeNodesRemoved(TreeModelEvent e)

  Specified by:
    treeNodesRemoved in interface TreeModelListener

### treeStructureChanged

    public void treeStructureChanged(TreeModelEvent e)

  Specified by:
    treeStructureChanged in interface TreeModelListener

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.